# -*- coding: utf-8 -*-
# Generated by Django 1.9.7 on 2016-08-04 12:04
from __future__ import unicode_literals

from django.db import migrations, models
import u.models


class Migration(migrations.Migration):

    dependencies = [
        ('u', '0007_auto_20160705_0656'),
    ]

    operations = [
        migrations.AddField(
            model_name='presentation',
            name='thumb',
            field=models.FileField(null=True, upload_to=u.models.thumb_directory_path),
        ),
        migrations.AlterField(
            model_name='presentation',
            name='created_time',
            field=models.DateTimeField(auto_now_add=True, verbose_name='Created'),
        ),
        migrations.AlterField(
            model_name='presentation',
            name='data',
            field=models.TextField(default='{"speech": [{"uuid": "00000000-0000-0000-0000000000000000", "execution": "", "idea": "Type to get started...", "indent": 0}]}', verbose_name='Data with speech, internal JSON format'),
        ),
        migrations.AlterField(
            model_name='presentation',
            name='edited_time',
            field=models.DateTimeField(auto_now=True, verbose_name='Edited'),
        ),
        migrations.AlterField(
            model_name='presentation',
            name='privacy',
            field=models.CharField(choices=[('l', 'Private'), ('h', 'Notes Hidden'), ('o', 'Public')], default='h', max_length=1, verbose_name='Privacy Mode'),
        ),
    ]
